package javax.script;

import java.util.List;
import java.io.Reader;
import java.io.Writer;

public interface ScriptContext
{
    public static final int ENGINE_SCOPE = 100;
    public static final int GLOBAL_SCOPE = 200;
    
    public abstract void setBindings(Bindings p0, int p1);
    
    public abstract Bindings getBindings(int p0);
    
    public abstract void setAttribute(String p0, Object p1, int p2);
    
    public abstract Object getAttribute(String p0, int p1);
    
    public abstract Object removeAttribute(String p0, int p1);
    
    public abstract Object getAttribute(String p0);
    
    public abstract int getAttributesScope(String p0);
    
    public abstract Writer getWriter();
    
    public abstract Writer getErrorWriter();
    
    public abstract void setWriter(Writer p0);
    
    public abstract void setErrorWriter(Writer p0);
    
    public abstract Reader getReader();
    
    public abstract void setReader(Reader p0);
    
    public abstract List<Integer> getScopes();
}
